/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.40
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.action_binding;


 /**
   * All Scilab interpreter management used in Java console
   * @author Vincent COUVERT
   * @copyright INRIA
   */
class InterpreterManagementJNI {

  /**
    * Constructor
    */
  protected InterpreterManagementJNI() {
	throw new UnsupportedOperationException();
  }

  static {
    try {
        System.loadLibrary("sciaction_binding");
    } catch (SecurityException e) {
		System.err.println("A security manager exists and does not allow the loading of the specified dynamic library :");
		e.printStackTrace(System.err);
	} catch (UnsatisfiedLinkError e)	{
		System.err.println("The native library sciaction_binding does not exist or cannot be found.");
		e.printStackTrace(System.err);
    }
  }

  public final static native int putCommandInScilabQueue(String jarg1);
  public final static native int requestScilabExec(String jarg1);
  public final static native int interruptScilab();
}
